commit:     654f46358be674b8231d1b77b69b32000650a568
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 29 05:03:20 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Sep 29 05:28:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=654f4635

media-libs/volpack: EAPI7->8, use https, drop static-libs

Also install examples before html docs so they don't end up
in html/examples through the docinto.

Unsure if this package still has uses, no revdeps (overlays?).
Assuming static-libs are at least not needed.

Closes: https://bugs.gentoo.org/847517
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 ...k-1.0_p7-r1.ebuild => volpack-1.0_p7-r2.ebuild} | 31 +++++++++++-----------
 1 file changed, 15 insertions(+), 16 deletions(-)

diff --git a/media-libs/volpack/volpack-1.0_p7-r1.ebuild 
b/media-libs/volpack/volpack-1.0_p7-r2.ebuild
similarity index 61%
rename from media-libs/volpack/volpack-1.0_p7-r1.ebuild
rename to media-libs/volpack/volpack-1.0_p7-r2.ebuild
index b205f54d52bd..52cab1b988bf 100644
--- a/media-libs/volpack/volpack-1.0_p7-r1.ebuild
+++ b/media-libs/volpack/volpack-1.0_p7-r2.ebuild
@@ -1,26 +1,21 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-MYP=${PN}-${PV/_p/c}
+MY_P="${PN}-${PV/_p/c}"
 
 DESCRIPTION="Volume rendering library"
-HOMEPAGE="http://amide.sourceforge.net/packages.html";
-SRC_URI="mirror://sourceforge/amide/${MYP}.tgz"
+HOMEPAGE="https://amide.sourceforge.net/packages.html";
+SRC_URI="mirror://sourceforge/amide/${MY_P}.tgz"
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc examples static-libs"
+IUSE="doc examples"
 
-DEPEND="sys-devel/m4"
-
-S="${WORKDIR}/${MYP}"
-
-src_configure() {
-       econf $(use_enable static-libs static)
-}
+BDEPEND="sys-devel/m4"
 
 src_compile() {
        emake -j1
@@ -28,14 +23,18 @@ src_compile() {
 
 src_install() {
        default
+
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
        if use doc; then
                dodoc doc/*.pdf
+
                docinto html
                dodoc doc/*.html
        fi
 
-       if use examples; then
-               dodoc -r examples
-               docompress -x /usr/share/doc/${PF}/examples
-       fi
+       find "${ED}" -type f -name '*.la' -delete || die
 }

Reply via email to